`<tagDoc>` | documents the structure, content, and purpose of a single SGML element type.
Attributes: |
`usage` | specifies the optionality of an attribute or element.
| Datatype: (req|mwa|rec|rwa|opt)
| Legal values: |
`req` | required
`mwa` | mandatory when applicable
`rec` | recommended
`rwa` | recommended when applicable
`opt` | optional
| Default: opt

Example

Tagset auxiliary tag set for tag set declarations
Class
Filename `teitsd2`
Content:
Parents tsd
Children attList attlDecl children classes dataDesc desc elemDecl equiv exemplum files gi parents part ptr remarks rs
Declaration

    <!ELEMENT tagDoc        - -  (gi, rs?, desc, attList?,
                                 exemplum*, remarks?, part?,
                                 classes?, files?, dataDesc?,
                                 parents?, children?, elemDecl,
                                 attlDecl?, ptr*, equiv*)           >
    <!ATTLIST tagDoc             %a.global
              usage              (req | mwa | rec | rwa | opt)
                                                     opt            >

See 27.1 ; 27

Back to index